org.codehaus.plexus.personality.plexus.lifecycle.phase

## Interface ServiceLocator

All Known Implementing Classes:
  PlexusContainerLocator

    public interface ServiceLocator

Provides services to components by means of a lookup.

Author:
  Dan Diephouse

### Method Summary

Methods
`boolean` `hasComponent(String componentKey)`
`boolean` `hasComponent(String role, String roleHint)`
`Object` `lookup(String componentKey)`
`Object` `lookup(String role, String roleHint)`
`List` `lookupList(String role)`
`Map` `lookupMap(String role)`
`void` `release(Object component)`
`void` `releaseAll(List components)`
`void` `releaseAll(Map components)`

### Method Detail

#### lookup

    Object lookup(String componentKey)
                  throws ComponentLookupException

Throws:
  `ComponentLookupException`

#### lookup

    Object lookup(String role,
                String roleHint)
                  throws ComponentLookupException

Throws:
  `ComponentLookupException`

#### lookupMap

    Map lookupMap(String role)
                  throws ComponentLookupException

Throws:
  `ComponentLookupException`

#### lookupList

    List lookupList(String role)
                    throws ComponentLookupException

Throws:
  `ComponentLookupException`

#### release

    void release(Object component)
                 throws ComponentLifecycleException

Throws:
  `ComponentLifecycleException`

#### releaseAll

    void releaseAll(Map components)
                    throws ComponentLifecycleException

Throws:
  `ComponentLifecycleException`

#### releaseAll

    void releaseAll(List components)
                    throws ComponentLifecycleException

Throws:
  `ComponentLifecycleException`

#### hasComponent

    boolean hasComponent(String componentKey)

#### hasComponent

    boolean hasComponent(String role,
                       String roleHint)